Loading...
Searching...
No Matches
OgreBites::ParamsPanel Class Reference
Optional Components » Bites » Trays

Basic parameters panel widget. More...

`#include <OgreTrays.h>`

Inheritance diagram for OgreBites::ParamsPanel:
[legend]

## Public Member Functions

| ParamsPanel (const Ogre::String &name, Ogre::Real width, unsigned int lines)
| Do not instantiate any widgets directly. Use TrayManager.
const Ogre::StringVector & | getAllParamNames ()
const Ogre::StringVector & | getAllParamValues ()
Ogre::DisplayString | getParamValue (const Ogre::DisplayString &paramName)
Ogre::DisplayString | getParamValue (unsigned int index)
void | setAllParamNames (const Ogre::StringVector &paramNames)
void | setAllParamValues (const Ogre::StringVector &paramValues)
void | setParamValue (const Ogre::DisplayString &paramName, const Ogre::DisplayString &paramValue)
void | setParamValue (unsigned int index, const Ogre::DisplayString &paramValue)
Public Member Functions inherited from OgreBites::Widget
| Widget ()
virtual | ~Widget ()
void | _assignListener (TrayListener *listener)
void | _assignToTray (TrayLocation trayLoc)
virtual void | _cursorMoved (const Ogre::Vector2 &cursorPos, float wheelDelta)
virtual void | _cursorPressed (const Ogre::Vector2 &cursorPos)
virtual void | _cursorReleased (const Ogre::Vector2 &cursorPos)
virtual void | _focusLost ()
void | cleanup ()
const Ogre::String & | getName ()
Ogre::OverlayElement * | getOverlayElement ()
TrayLocation | getTrayLocation ()
void | hide ()
bool | isVisible ()
void | show ()

## Additional Inherited Members

Static Public Member Functions inherited from OgreBites::Widget
static Ogre::Vector2 | cursorOffset (Ogre::OverlayElement *element, const Ogre::Vector2 &cursorPos)
| Static utility method used to get the cursor's offset from the center of an overlay element in pixels.
static void | fitCaptionToArea (const Ogre::DisplayString &caption, Ogre::TextAreaOverlayElement *area, Ogre::Real maxWidth)
| Static utility method to cut off a string to fit in a text area.
static Ogre::Real | getCaptionWidth (const Ogre::DisplayString &caption, Ogre::TextAreaOverlayElement *area)
| Static utility method used to get the width of a caption in a text area.
static bool | isCursorOver (Ogre::OverlayElement *element, const Ogre::Vector2 &cursorPos, Ogre::Real voidBorder=0)
| Static utility method to check if the cursor is over an overlay element.
static void | nukeOverlayElement (Ogre::OverlayElement *element)
| Static utility method to recursively delete an overlay element plus all of its children from the system.

## Detailed Description

Basic parameters panel widget.

## Constructor & Destructor Documentation

## ParamsPanel()

OgreBites::ParamsPanel::ParamsPanel | ( | const Ogre::String & | name,
|  | Ogre::Real | width,
|  | unsigned int | lines )

Do not instantiate any widgets directly. Use TrayManager.

## Member Function Documentation

## setAllParamNames()

void OgreBites::ParamsPanel::setAllParamNames | ( | const Ogre::StringVector & | paramNames | ) |

## getAllParamNames()

const Ogre::StringVector & OgreBites::ParamsPanel::getAllParamNames | ( |  | ) |

inline

## setAllParamValues()

void OgreBites::ParamsPanel::setAllParamValues | ( | const Ogre::StringVector & | paramValues | ) |

## setParamValue() [1/2]

void OgreBites::ParamsPanel::setParamValue | ( | const Ogre::DisplayString & | paramName,
|  | const Ogre::DisplayString & | paramValue )

## setParamValue() [2/2]

void OgreBites::ParamsPanel::setParamValue | ( | unsigned int | index,
|  | const Ogre::DisplayString & | paramValue )

## getParamValue() [1/2]

Ogre::DisplayString OgreBites::ParamsPanel::getParamValue | ( | const Ogre::DisplayString & | paramName | ) |

## getParamValue() [2/2]

Ogre::DisplayString OgreBites::ParamsPanel::getParamValue | ( | unsigned int | index | ) |

## getAllParamValues()

const Ogre::StringVector & OgreBites::ParamsPanel::getAllParamValues | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- OgreTrays.h